Get savings plan subscription
To retrieve the details of a savings plan subscription, perform the following request:
GET
/v1/savings/account-investment-plans/{account_investment_plan_id}Request
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Access token in Bearer ACCESS_TOKEN format |
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
account_investment_plan_id | number | Yes | Subscription identifier. |
Not applicable: Query Parameters, Body.
Response
2XX Success
| Field | Type | Description |
|---|---|---|
id | number | Subscription identifier. |
account_number | number | Associated account number. |
subscription_name | string | Subscription name. |
plan_code | string | Plan code. |
plan_name | string | Plan name. |
amount | number | null | Periodic subscription amount. |
cbu | number | null | CBU associated with the DEBIN. |
status | string | Current status of the subscription. See Subscription Status Values below. |
debin_window | string | null | DEBIN collection window. Allowed values: FIRST_PERIOD (days 1–10), SECOND_PERIOD (days 11–20), THIRD_PERIOD (days 21–31). |
adjust_by_ipc | boolean | Indicates whether the amount is adjusted by CPI. |
target_amount | number | Target amount for the plan. |
created_at | string | Subscription creation date and time. |
total_performance | object | Total accumulated performance. |
total_performance.currency | string | Performance currency. |
total_performance.total_deposits | number | Total deposited. |
total_performance.total_withdrawals | number | Total withdrawn. |
total_performance.net_contributions | number | Net contributions. |
total_performance.current_value | number | Current value of the subscription. |
total_performance.total_performance | number | Total performance in absolute terms. |
total_performance.total_performance_percentage | number | Total performance as a percentage. |
monthly_performance | object | Performance for the current monthly period. |
monthly_performance.currency | string | Performance currency. |
monthly_performance.period_start | string | Period start date. |
monthly_performance.period_end | string | Period end date. |
monthly_performance.monthly_performance | number | Monthly performance in absolute terms. |
monthly_performance.monthly_performance_percentage | number | Monthly performance as a percentage. |
next_debin_date | string | null | Estimated date of the next DEBIN. |
Subscription Status Values
| Value | Description |
|---|---|
ACTIVE | The subscription is active and operating normally. |
AWAITING_BIND | Waiting for the user to approve the DEBIN direct debit recurrence in their banking app. |
PAUSED_BY_CONSECUTIVE_ERRORS_DEBIN | Paused automatically after three consecutive DEBIN failures. Allaria cancels the subscription if this state persists. |
PAUSED_BY_USER | Paused at the user's request. |
AWAITING_ASSET_TRANSFER | A redemption or withdrawal is in progress; shares are being transferred. |
AWAITING_ASSET_WITHDRAWAL | Shares are being liquidated into cash. |
AWAITING_CASH_TRANSFER | Cash transfer to the destination CVU is in progress. |
CLAIMED | All shares have been transferred to the merchant. The subscription is closed. |
WITHDRAWN | All funds have been returned to the user's CVU. The subscription is closed. |
BIND_ACTIVATION_FAILED | The DEBIN recurrence subscription expired without user approval. |
Error Codes
Errors return the following body:
{
"code": "invalid_request",
"description": "Error description."
}
| Status | Code | Condition |
|---|---|---|
400 | invalid_request | The specified subscription does not exist. |
403 | — | The token does not have the required role or the account is not accessible. |
Code Example
- cURL
- JavaScript
- Python
- Node.js
curl -X GET https://b2b.allaria.cloud/v1/savings/account-investment-plans/1 \
-H "Authorization: Bearer ACCESS_TOKEN"
const accountInvestmentPlanId = 1;
const response = await fetch(
`https://b2b.allaria.cloud/v1/savings/account-investment-plans/${accountInvestmentPlanId}`,
{
method: 'GET',
headers: {
'Authorization': 'Bearer ACCESS_TOKEN'
}
}
);
const data = await response.json();
console.log(data);
import requests
account_investment_plan_id = 1
response = requests.get(
f'https://b2b.allaria.cloud/v1/savings/account-investment-plans/{account_investment_plan_id}',
headers={
'Authorization': 'Bearer ACCESS_TOKEN'
}
)
data = response.json()
print(data)
const axios = require('axios');
const accountInvestmentPlanId = 1;
const response = await axios.get(
`https://b2b.allaria.cloud/v1/savings/account-investment-plans/${accountInvestmentPlanId}`,
{
headers: {
Authorization: 'Bearer ACCESS_TOKEN'
}
}
);
console.log(response.data);
2XX Success
{
"id": 6,
"account_number": 70,
"subscription_name": "test",
"plan_code": "MEDIUM_ARS",
"plan_name": "Plan Mediano Plazo en ARS",
"amount": null,
"cbu": null,
"status": "ACTIVE",
"debin_window": null,
"adjust_by_ipc": false,
"target_amount": 10000.00,
"created_at": "2026-04-14T11:38:42",
"total_performance": {
"currency": "ARS",
"total_deposits": 0,
"total_withdrawals": 0,
"net_contributions": 0,
"current_value": 0,
"total_performance": 0,
"total_performance_percentage": 0
},
"monthly_performance": {
"currency": "ARS",
"period_start": "2026-04-01T00:00:00",
"period_end": "2026-04-14T12:03:01.544027",
"monthly_performance": 0,
"monthly_performance_percentage": 0
},
"next_debin_date": null
}